summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-plasma/systemsettings')
-rw-r--r--kde-plasma/systemsettings/Manifest1
-rw-r--r--kde-plasma/systemsettings/files/systemsettings-4.11.22-strigi-removal.patch35
-rw-r--r--kde-plasma/systemsettings/files/systemsettings-kcm-randr.patch20
-rw-r--r--kde-plasma/systemsettings/metadata.xml1
-rw-r--r--kde-plasma/systemsettings/systemsettings-4.11.22-r2.ebuild108
-rw-r--r--kde-plasma/systemsettings/systemsettings-5.7.5.ebuild2
-rw-r--r--kde-plasma/systemsettings/systemsettings-5.8.3.ebuild2
7 files changed, 167 insertions, 2 deletions
diff --git a/kde-plasma/systemsettings/Manifest b/kde-plasma/systemsettings/Manifest
index 67476083c151..ddb3f0adc0b8 100644
--- a/kde-plasma/systemsettings/Manifest
+++ b/kde-plasma/systemsettings/Manifest
@@ -1,2 +1,3 @@
+DIST kde-workspace-4.11.22.tar.xz 13553668 SHA256 f035334e843d67ee88551ae9e6c5f64bf7b1edfe311b12501575fe74be0b03b7 SHA512 9def2cc8d1e597259966cd6cc44e9aad7ebe2c7cde5943e362c6782d1344e7da4fff0dddd0fe0c948bca159dba128d8a36006e1ae409415cd22f74955d0a9b95 WHIRLPOOL 14b0fcef19bda4b92a42612387fb6307a50dbb3620e911e3e0aaf5d764fb263e1959baae2e55cb71d92d064542844ae963b170bb960a9b7dc18a11627b731802
DIST systemsettings-5.7.5.tar.xz 158296 SHA256 960938de95c04dae98df3e6189529c1d0d8eb99dbfd7ebcf0b33bc24bf54209b SHA512 c3bbbe243c97905cd4c0cdfa06576a94efcd0274522d4f17f6f3eabf725b271375de53071b4102bf01488c4c77056c6779dfdd97f94ed72ae6bea50a711eaad4 WHIRLPOOL 411226593cfdb954d3ef4979565e9a0a97b244d8e57198b215cdacee9f15eeb6b0f8894ab566dc6796d8bbd8459ec42c7aea998200952e8cb109ba49c078141d
DIST systemsettings-5.8.3.tar.xz 157968 SHA256 b50ec8fb4402d332d9fb6c1aa00cd7431ac3299da3003cc54522c1544c610a6a SHA512 d1a81880057bf648527a42cf2a93f51bca8a10bceb4bd04ed3ec47fb57195840b6d4369425b3605ca791ebd5f612071e8dc0a154720088541a00093b0ddb03f3 WHIRLPOOL 595a298541cb39da14752431fb034d02bb3380246337e450b51bc8c962782b614aa4ce1416a7d1f51e5aa85e72e15be75724da40f1cda9ddfb84a2a26850306d
diff --git a/kde-plasma/systemsettings/files/systemsettings-4.11.22-strigi-removal.patch b/kde-plasma/systemsettings/files/systemsettings-4.11.22-strigi-removal.patch
new file mode 100644
index 000000000000..e98387ff9380
--- /dev/null
+++ b/kde-plasma/systemsettings/files/systemsettings-4.11.22-strigi-removal.patch
@@ -0,0 +1,35 @@
+diff -Naur kde-workspace-4.11.22.orig/CMakeLists.txt kde-workspace-4.11.22/CMakeLists.txt
+--- kde-workspace-4.11.22.orig/CMakeLists.txt 2015-08-12 09:03:15.000000000 +0200
++++ kde-workspace-4.11.22/CMakeLists.txt 2016-05-25 21:17:36.503606974 +0200
+@@ -20,12 +20,6 @@
+
+ option(WITH_XINERAMA "Xinerama support for multi-headed X displays" ON)
+
+-find_package(Strigi)
+-
+-set_package_properties(Strigi PROPERTIES DESCRIPTION "Desktop indexing and search support"
+- URL "http://strigi.sourceforge.net"
+- TYPE REQUIRED
+- )
+
+ find_package(ZLIB)
+ set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
+diff -Naur kde-workspace-4.11.22.orig/kcontrol/kfontinst/CMakeLists.txt kde-workspace-4.11.22/kcontrol/kfontinst/CMakeLists.txt
+--- kde-workspace-4.11.22.orig/kcontrol/kfontinst/CMakeLists.txt 2015-08-12 09:03:15.000000000 +0200
++++ kde-workspace-4.11.22/kcontrol/kfontinst/CMakeLists.txt 2016-05-25 21:18:13.023186175 +0200
+@@ -4,7 +4,6 @@
+ find_package(Qt4 REQUIRED)
+ find_package(Freetype REQUIRED)
+ find_package(Fontconfig REQUIRED)
+- find_package(Strigi REQUIRED)
+ find_package(X11 REQUIRED)
+ macro_log_feature(X11_Xft_FOUND "libxft" "X FreeType interface library" "http://www.x.org" FALSE "" "Font installer and font previews")
+ include(KDE4Defaults)
+@@ -40,7 +39,6 @@
+ add_subdirectory( lib )
+ add_subdirectory( dbus )
+ add_subdirectory( kcmfontinst )
+- add_subdirectory( strigi-analyzer )
+ add_subdirectory( apps )
+ add_subdirectory( kio )
+ add_subdirectory( thumbnail )
diff --git a/kde-plasma/systemsettings/files/systemsettings-kcm-randr.patch b/kde-plasma/systemsettings/files/systemsettings-kcm-randr.patch
new file mode 100644
index 000000000000..43019fcb74f1
--- /dev/null
+++ b/kde-plasma/systemsettings/files/systemsettings-kcm-randr.patch
@@ -0,0 +1,20 @@
+Adds option to disable the randr KCM (to use KScreen instead) wrt bug #524266.
+
+Source: http://pkgs.fedoraproject.org/cgit/kde-workspace.git/plain/kde-workspace-4.10.2-BUILD_KCM_RANDR.patch
+
+diff -up kde-workspace-4.10.2/kcontrol/CMakeLists.txt.BUILD_KCM_RANDR kde-workspace-4.10.2/kcontrol/CMakeLists.txt
+--- kde-workspace-4.10.2/kcontrol/CMakeLists.txt.BUILD_KCM_RANDR 2013-03-01 00:32:25.040847159 -0600
++++ kde-workspace-4.10.2/kcontrol/CMakeLists.txt 2013-04-18 08:58:31.086753204 -0500
+@@ -6,9 +6,10 @@ macro_log_feature(FREETYPE_FOUND "FreeTy
+ set(libkxftconfig_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/fonts/kxftconfig.cpp )
+
+
+-if( X11_Xrandr_FOUND )
++OPTION(BUILD_KCM_RANDR "Build kcontrol/randr module" ON)
++if(BUILD_KCM_RANDR AND X11_Xrandr_FOUND)
+ add_subdirectory( randr )
+-endif(X11_Xrandr_FOUND )
++endif(BUILD_KCM_RANDR AND X11_Xrandr_FOUND)
+
+ if(X11_Xkb_FOUND)
+ add_subdirectory( keyboard )
diff --git a/kde-plasma/systemsettings/metadata.xml b/kde-plasma/systemsettings/metadata.xml
index b028a419c873..af6e5dff2c87 100644
--- a/kde-plasma/systemsettings/metadata.xml
+++ b/kde-plasma/systemsettings/metadata.xml
@@ -7,5 +7,6 @@
</maintainer>
<use>
<flag name="classic">Enable classic mode plugin, requires <pkg>kde-frameworks/khtml</pkg></flag>
+ <flag name="kscreen">Use <pkg>kde-plasma/kscreen</pkg> for screen management</flag>
</use>
</pkgmetadata>
diff --git a/kde-plasma/systemsettings/systemsettings-4.11.22-r2.ebuild b/kde-plasma/systemsettings/systemsettings-4.11.22-r2.ebuild
new file mode 100644
index 000000000000..665deb46dad5
--- /dev/null
+++ b/kde-plasma/systemsettings/systemsettings-4.11.22-r2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="optional"
+KMNAME="kde-workspace"
+OPENGL_REQUIRED="optional"
+VIRTUALX_REQUIRED="test"
+VIRTUALDBUS_TEST="true"
+inherit kde4-meta
+
+DESCRIPTION="System settings utility"
+HOMEPAGE+=" https://userbase.kde.org/System_Settings"
+IUSE="debug gtk +kscreen +usb"
+KEYWORDS="amd64 ~arm x86 ~amd64-linux ~x86-linux"
+
+COMMONDEPEND="
+ dev-libs/glib:2
+ $(add_kdebase_dep kwin)
+ $(add_kdebase_dep libkworkspace)
+ media-libs/fontconfig
+ >=media-libs/freetype-2
+ >=x11-libs/libxklavier-3.2
+ x11-libs/libX11
+ x11-libs/libXcursor
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXft
+ x11-libs/libXi
+ x11-libs/libxkbfile
+ x11-libs/libXrandr
+ x11-libs/libXtst
+ opengl? ( virtual/opengl )
+ usb? ( virtual/libusb:0 )
+"
+DEPEND="${COMMONDEPEND}
+ x11-proto/kbproto
+ x11-proto/xextproto
+"
+RDEPEND="${COMMONDEPEND}
+ sys-libs/timezone-data
+ x11-apps/setxkbmap
+ x11-misc/xkeyboard-config
+ gtk? ( kde-plasma/kde-gtk-config:4 )
+ kscreen? ( kde-plasma/kscreen:4 )
+ || ( $(add_kdebase_dep legacy-icons) >=kde-frameworks/oxygen-icons-5.19.0:5 )
+"
+
+KMEXTRA="
+ kcontrol/
+"
+KMEXTRACTONLY="
+ krunner/dbus/org.kde.krunner.App.xml
+ krunner/dbus/org.kde.screensaver.xml
+ ksmserver/screenlocker/dbus/org.kde.screensaver.xml
+ kwin/
+ libs/
+ plasma/
+"
+# fails to connect to a kded instance
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-kcm-randr.patch"
+)
+
+src_unpack() {
+ if use handbook; then
+ KMEXTRA+="
+ doc/kcontrol
+ doc/kfontview
+ "
+ fi
+
+ kde4-meta_src_unpack
+}
+
+src_prepare() {
+ eapply "${FILESDIR}/${P}-strigi-removal.patch"
+
+ sed -i -e 's/systemsettingsrc DESTINATION ${SYSCONF_INSTALL_DIR}/systemsettingsrc DESTINATION ${CONFIG_INSTALL_DIR}/' \
+ systemsettings/CMakeLists.txt \
+ || die "Failed to fix systemsettingsrc install location"
+
+ sed -i -e '/kde4_install_icons/ s/^/#/' kcontrol/kfontinst/kio/CMakeLists.txt \
+ || die "Failed to disable icons"
+
+ kde4-meta_src_prepare
+}
+
+# FIXME: is have_openglxvisual found without screensaver
+src_configure() {
+ # Old keyboard-detection code is unmaintained,
+ # so we force the new stuff, using libxklavier.
+ local mycmakeargs=(
+ -DUSE_XKLAVIER=ON
+ -DWITH_LibXKlavier=ON
+ -DWITH_GLIB2=ON
+ -DWITH_GObject=ON
+ -DBUILD_KCM_RANDR=$(usex !kscreen)
+ -DWITH_OpenGL=$(usex opengl)
+ -DWITH_USB=$(usex usb)
+ )
+
+ kde4-meta_src_configure
+}
diff --git a/kde-plasma/systemsettings/systemsettings-5.7.5.ebuild b/kde-plasma/systemsettings/systemsettings-5.7.5.ebuild
index 65ecc2e9c2e3..63c77882d35d 100644
--- a/kde-plasma/systemsettings/systemsettings-5.7.5.ebuild
+++ b/kde-plasma/systemsettings/systemsettings-5.7.5.ebuild
@@ -34,7 +34,7 @@ DEPEND="
"
RDEPEND="${DEPEND}
gtk? ( $(add_plasma_dep kde-gtk-config) )
- !kde-base/systemsettings:4
+ !kde-plasma/systemsettings:4
"
src_configure() {
diff --git a/kde-plasma/systemsettings/systemsettings-5.8.3.ebuild b/kde-plasma/systemsettings/systemsettings-5.8.3.ebuild
index e6043475c6da..177613b6e606 100644
--- a/kde-plasma/systemsettings/systemsettings-5.8.3.ebuild
+++ b/kde-plasma/systemsettings/systemsettings-5.8.3.ebuild
@@ -34,7 +34,7 @@ DEPEND="
"
RDEPEND="${DEPEND}
gtk? ( $(add_plasma_dep kde-gtk-config) )
- !kde-base/systemsettings:4
+ !kde-plasma/systemsettings:4
"
src_configure() {